> ## Documentation Index
> Fetch the complete documentation index at: https://docs.liveavatar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Keep Session Alive

> Keep the session alive



## OpenAPI

````yaml /openapi.json post /v1/sessions/keep-alive
openapi: 3.1.0
info:
  title: Live avatar API
  version: 0.1.0
servers:
  - url: https://api.liveavatar.com
security: []
paths:
  /v1/sessions/keep-alive:
    post:
      tags:
        - Sessions
      summary: Keep Session Alive
      description: Keep the session alive
      operationId: keep_session_alive_v1_sessions_keep_alive_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/KeepSessionAliveSchema'
              default: {}
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - HTTPBearer: []
components:
  schemas:
    KeepSessionAliveSchema:
      properties:
        session_id:
          title: Session Id
          type: string
          format: uuid
      type: object
      title: KeepSessionAliveSchema
    Response:
      properties:
        code:
          type: integer
          title: Code
          default: 100
        data:
          title: Data
        message:
          title: Message
          type: string
      type: object
      title: Response
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          title: Message
          type: string
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY
    HTTPBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````